Subject: [PATCH 3/3] ARM: OMAP: Remove plat-omap/common.c

From: [email-masked] (Tomi Valkeinen)
Date: Mon, 5 Nov 2012 17:48:41 +0200

On 2012-11-05 17:36, Tony Lindgren wrote:
> * Tomi Valkeinen <[email-masked]> [121105 00:06]:
>> On 2012-11-02 20:54, Tony Lindgren wrote:
>>>> * Santosh Shilimkar <[email-masked]> [121102 01:56]:
>>>>> On Friday 02 November 2012 02:19 PM, Tomi Valkeinen wrote:
>>>>>> On 2012-11-02 08:38, Santosh Shilimkar wrote:
>>>>>>>
>>>>>>> Lets not move this in DMA code since the above is really related
>>>>>>> to frame buffer. It reserves more DMA area for dma_alloc_coherent()
>>>>>>> etc than default 2 MB. Infact, we should no longer need this with
>>>>>>> CMA and memblock in place.
>>>>>>>
>>>>>>> Tomi,
>>>>>>> Can we not get rid of the above memory reservation ?
>>>>>>
>>>>>> Yes, I think so. This one is only used for the old omapfb, i.e. omap1,
>>>>>> and I have no means to test it out, though. But below is a patch to
>>>>>> remove it. I also attached the patch, as it looks like thunderbird wants
>>>>>> to reformat the pasted patch... I'll remove the
>>>>>> CONFIG_FB_OMAP_CONSISTENT_DMA_SIZE from the omapfb driver's Kconfig file
>>>>>> in my tree later.
>>>
>>> Hmm actually, is it safe to remove for omap1, or should we
>>> still keep it around for omap1?
>>
>> Why wouldn't it be safe? Do you mean that CMA doesn't work on omap1,
>> or...? I'm no expert on CMA, but as far as I can see with it's ARM
>> generic stuff.
> 
> Just wondering after your comment "This one is only used for the old
> omapfb, i.e. omap1". But sounds like it should no longer be needed
> there either if I parse that right.

I meant that the code that was moved in the patch "Remove
plat-omap/common.c" is only compiled and ran on omap1, when the old
omapfb has been enabled in the Kconfig. It's not used on omap2+.

old omapfb uses dma_alloc_*() to allocate memory, so if CMA works on
omap1, I think this code in question can be removed, as done in my patch.

 Tomi

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 897 bytes
Desc: OpenPGP digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20121105/72bf2fc7/attachment.sig>